// src/portfolio-project-items-v1-project-item-project-items.public.ts
import { renameKeysFromRESTResponseToSDKResponse as renameKeysFromRESTResponseToSDKResponse2 } from "@wix/sdk-runtime/rename-all-nested-keys";
import { transformRESTFloatToSDKFloat as transformRESTFloatToSDKFloat2 } from "@wix/sdk-runtime/transformations/float";
import { transformRESTImageToSDKImage as transformRESTImageToSDKImage2 } from "@wix/sdk-runtime/transformations/image";
import { transformRESTTimestampToSDKTimestamp as transformRESTTimestampToSDKTimestamp2 } from "@wix/sdk-runtime/transformations/timestamp";
import { transformPaths as transformPaths3 } from "@wix/sdk-runtime/transformations/transform-paths";
import { transformRESTVideoV2ToSDKVideoV2 as transformRESTVideoV2ToSDKVideoV22 } from "@wix/sdk-runtime/transformations/video-v2";
import { EventDefinition } from "@wix/sdk-types";

// src/portfolio-project-items-v1-project-item-project-items.universal.ts
import { transformError as sdkTransformError } from "@wix/sdk-runtime/transform-error";
import {
  renameKeysFromSDKRequestToRESTRequest,
  renameKeysFromRESTResponseToSDKResponse
} from "@wix/sdk-runtime/rename-all-nested-keys";

// src/portfolio-project-items-v1-project-item-project-items.http.ts
import { toURLSearchParams } from "@wix/sdk-runtime/rest-modules";
import { transformSDKFloatToRESTFloat } from "@wix/sdk-runtime/transformations/float";
import { transformRESTFloatToSDKFloat } from "@wix/sdk-runtime/transformations/float";
import { transformSDKTimestampToRESTTimestamp } from "@wix/sdk-runtime/transformations/timestamp";
import { transformRESTTimestampToSDKTimestamp } from "@wix/sdk-runtime/transformations/timestamp";
import { transformSDKFieldMaskToRESTFieldMask } from "@wix/sdk-runtime/transformations/field-mask";
import { transformPaths } from "@wix/sdk-runtime/transformations/transform-paths";
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveComWixpressPortfolioPortfolioappMediaServiceUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/portfolio-app-service",
        destPath: "/api"
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/portfolio-app-service",
        destPath: "/api"
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/portfolio-app-service",
        destPath: "/api"
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/portfolio-app-service",
        destPath: "/api"
      }
    ],
    _: [
      {
        srcPath: "/_api/portfolio-app-service",
        destPath: "/api"
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/_api/portfolio-app-service",
        destPath: "/api"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/portfolio/v1/settings",
        destPath: "/api/v1/portfolio/settings"
      },
      {
        srcPath: "/portfolio/portfolio-app/api/v1/portfolio/settings",
        destPath: "/api/v1/portfolio/settings"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/portfolio/project/items/media",
        destPath: "/api/v1/portfolio/project/items/media"
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/portfolio/portfolio-app/api/v1/portfolio/settings",
        destPath: "/api/v1/portfolio/settings"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/portfolio/project/items/media",
        destPath: "/api/v1/portfolio/project/items/media"
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
function resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/project-items-service",
        destPath: "/api"
      }
    ],
    _: [
      {
        srcPath: "/_api/project-items-service",
        destPath: "/api"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/bulk/portfolio/items/create",
        destPath: "/api/v1/bulk/portfolio/items/create"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/items/duplicate",
        destPath: "/api/v1/items/duplicate"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/bulk/portfolio/items/delete",
        destPath: "/api/v1/bulk/portfolio/items/delete"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/bulk/portfolio/items/update",
        destPath: "/api/v1/bulk/portfolio/items/update"
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/project-items-service",
        destPath: "/api"
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/project-items-service",
        destPath: "/api"
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/project-items-service",
        destPath: "/api"
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_api/project-items-service",
        destPath: "/api"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/bulk/portfolio/items/create",
        destPath: "/api/v1/bulk/portfolio/items/create"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/items/duplicate",
        destPath: "/api/v1/items/duplicate"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/bulk/portfolio/items/delete",
        destPath: "/api/v1/bulk/portfolio/items/delete"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/bulk/portfolio/items/update",
        destPath: "/api/v1/bulk/portfolio/items/update"
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/project-items-service",
        destPath: "/api"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/portfolio/v1/projectItems",
        destPath: "/api/v1/portfolio/projects"
      },
      {
        srcPath: "/portfolio/v1/items",
        destPath: "/api/v1/portfolio/items"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/bulk/portfolio/items/create",
        destPath: "/api/v1/bulk/portfolio/items/create"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/items/duplicate",
        destPath: "/api/v1/items/duplicate"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/bulk/portfolio/items/delete",
        destPath: "/api/v1/bulk/portfolio/items/delete"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/bulk/portfolio/items/update",
        destPath: "/api/v1/bulk/portfolio/items/update"
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/project-items-service",
        destPath: ""
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_portfolio_project-items";
function createProjectItem(payload) {
  function __createProjectItem({ host }) {
    const serializedData = transformPaths(payload, [
      {
        transformFn: transformSDKFloatToRESTFloat,
        paths: [
          { path: "item.sortOrder" },
          { path: "item.image.focalPoint.x" },
          { path: "item.image.focalPoint.y" },
          { path: "item.image.unsharpMasking.amount" },
          { path: "item.image.unsharpMasking.radius" },
          { path: "item.image.unsharpMasking.threshold" }
        ]
      },
      {
        transformFn: transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "item.createdDate" },
          { path: "item.updatedDate" },
          { path: "item.image.imageInfo.urlExpirationDate" },
          { path: "item.video.videoInfo.urlExpirationDate" },
          { path: "item.video.videoInfo.resolutions.poster.urlExpirationDate" },
          { path: "item.video.videoInfo.posters.urlExpirationDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "POST",
      methodFqn: "com.wixpress.portfolio.projectitems.ProjectItemsService.CreateProjectItem",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
        protoPath: "/api/v1/portfolio/items",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTFloatToSDKFloat,
          paths: [
            { path: "item.sortOrder" },
            { path: "item.image.focalPoint.x" },
            { path: "item.image.focalPoint.y" },
            { path: "item.image.unsharpMasking.amount" },
            { path: "item.image.unsharpMasking.radius" },
            { path: "item.image.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "item.createdDate" },
            { path: "item.updatedDate" },
            { path: "item.image.imageInfo.urlExpirationDate" },
            { path: "item.video.videoInfo.urlExpirationDate" },
            {
              path: "item.video.videoInfo.resolutions.poster.urlExpirationDate"
            },
            { path: "item.video.videoInfo.posters.urlExpirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __createProjectItem;
}
function bulkCreateProjectItems(payload) {
  function __bulkCreateProjectItems({ host }) {
    const serializedData = transformPaths(payload, [
      {
        transformFn: transformSDKFloatToRESTFloat,
        paths: [
          { path: "items.sortOrder" },
          { path: "items.image.focalPoint.x" },
          { path: "items.image.focalPoint.y" },
          { path: "items.image.unsharpMasking.amount" },
          { path: "items.image.unsharpMasking.radius" },
          { path: "items.image.unsharpMasking.threshold" }
        ]
      },
      {
        transformFn: transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "items.createdDate" },
          { path: "items.updatedDate" },
          { path: "items.image.imageInfo.urlExpirationDate" },
          { path: "items.video.videoInfo.urlExpirationDate" },
          {
            path: "items.video.videoInfo.resolutions.poster.urlExpirationDate"
          },
          { path: "items.video.videoInfo.posters.urlExpirationDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "POST",
      methodFqn: "com.wixpress.portfolio.projectitems.ProjectItemsService.BulkCreateProjectItems",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
        protoPath: "/api/v1/bulk/portfolio/items/create",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTFloatToSDKFloat,
          paths: [
            { path: "results.item.sortOrder" },
            { path: "results.item.image.focalPoint.x" },
            { path: "results.item.image.focalPoint.y" },
            { path: "results.item.image.unsharpMasking.amount" },
            { path: "results.item.image.unsharpMasking.radius" },
            { path: "results.item.image.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "results.item.createdDate" },
            { path: "results.item.updatedDate" },
            { path: "results.item.image.imageInfo.urlExpirationDate" },
            { path: "results.item.video.videoInfo.urlExpirationDate" },
            {
              path: "results.item.video.videoInfo.resolutions.poster.urlExpirationDate"
            },
            {
              path: "results.item.video.videoInfo.posters.urlExpirationDate"
            }
          ]
        }
      ])
    };
    return metadata;
  }
  return __bulkCreateProjectItems;
}
function getProjectItem(payload) {
  function __getProjectItem({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "GET",
      methodFqn: "com.wixpress.portfolio.projectitems.ProjectItemsService.GetProjectItem",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
        protoPath: "/api/v1/portfolio/items/{itemId}",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload),
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTFloatToSDKFloat,
          paths: [
            { path: "item.sortOrder" },
            { path: "item.image.focalPoint.x" },
            { path: "item.image.focalPoint.y" },
            { path: "item.image.unsharpMasking.amount" },
            { path: "item.image.unsharpMasking.radius" },
            { path: "item.image.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "item.createdDate" },
            { path: "item.updatedDate" },
            { path: "item.image.imageInfo.urlExpirationDate" },
            { path: "item.video.videoInfo.urlExpirationDate" },
            {
              path: "item.video.videoInfo.resolutions.poster.urlExpirationDate"
            },
            { path: "item.video.videoInfo.posters.urlExpirationDate" }
          ]
        }
      ]),
      fallback: [
        {
          method: "GET",
          url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
            protoPath: "/api/v1/portfolio/items/{itemId}",
            data: payload,
            host
          }),
          params: toURLSearchParams(payload)
        }
      ]
    };
    return metadata;
  }
  return __getProjectItem;
}
function listProjectItems(payload) {
  function __listProjectItems({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "GET",
      methodFqn: "com.wixpress.portfolio.projectitems.ProjectItemsService.ListProjectItems",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
        protoPath: "/api/v1/portfolio/projects/{projectId}/items",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload),
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTFloatToSDKFloat,
          paths: [
            { path: "items.sortOrder" },
            { path: "items.image.focalPoint.x" },
            { path: "items.image.focalPoint.y" },
            { path: "items.image.unsharpMasking.amount" },
            { path: "items.image.unsharpMasking.radius" },
            { path: "items.image.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "items.createdDate" },
            { path: "items.updatedDate" },
            { path: "items.image.imageInfo.urlExpirationDate" },
            { path: "items.video.videoInfo.urlExpirationDate" },
            {
              path: "items.video.videoInfo.resolutions.poster.urlExpirationDate"
            },
            { path: "items.video.videoInfo.posters.urlExpirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __listProjectItems;
}
function updateProjectItem(payload) {
  function __updateProjectItem({ host }) {
    const serializedData = transformPaths(payload, [
      {
        transformFn: transformSDKFieldMaskToRESTFieldMask,
        paths: [{ path: "mask" }]
      },
      {
        transformFn: transformSDKFloatToRESTFloat,
        paths: [
          { path: "item.sortOrder" },
          { path: "item.image.focalPoint.x" },
          { path: "item.image.focalPoint.y" },
          { path: "item.image.unsharpMasking.amount" },
          { path: "item.image.unsharpMasking.radius" },
          { path: "item.image.unsharpMasking.threshold" }
        ]
      },
      {
        transformFn: transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "item.createdDate" },
          { path: "item.updatedDate" },
          { path: "item.image.imageInfo.urlExpirationDate" },
          { path: "item.video.videoInfo.urlExpirationDate" },
          { path: "item.video.videoInfo.resolutions.poster.urlExpirationDate" },
          { path: "item.video.videoInfo.posters.urlExpirationDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "PATCH",
      methodFqn: "com.wixpress.portfolio.projectitems.ProjectItemsService.UpdateProjectItem",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
        protoPath: "/api/v1/portfolio/items/{item.id}",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTFloatToSDKFloat,
          paths: [
            { path: "item.sortOrder" },
            { path: "item.image.focalPoint.x" },
            { path: "item.image.focalPoint.y" },
            { path: "item.image.unsharpMasking.amount" },
            { path: "item.image.unsharpMasking.radius" },
            { path: "item.image.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "item.createdDate" },
            { path: "item.updatedDate" },
            { path: "item.image.imageInfo.urlExpirationDate" },
            { path: "item.video.videoInfo.urlExpirationDate" },
            {
              path: "item.video.videoInfo.resolutions.poster.urlExpirationDate"
            },
            { path: "item.video.videoInfo.posters.urlExpirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __updateProjectItem;
}
function bulkUpdateProjectItems(payload) {
  function __bulkUpdateProjectItems({ host }) {
    const serializedData = transformPaths(payload, [
      {
        transformFn: transformSDKFieldMaskToRESTFieldMask,
        paths: [{ path: "items.fieldMask" }]
      },
      {
        transformFn: transformSDKFloatToRESTFloat,
        paths: [
          { path: "items.item.sortOrder" },
          { path: "items.item.image.focalPoint.x" },
          { path: "items.item.image.focalPoint.y" },
          { path: "items.item.image.unsharpMasking.amount" },
          { path: "items.item.image.unsharpMasking.radius" },
          { path: "items.item.image.unsharpMasking.threshold" }
        ]
      },
      {
        transformFn: transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "items.item.createdDate" },
          { path: "items.item.updatedDate" },
          { path: "items.item.image.imageInfo.urlExpirationDate" },
          { path: "items.item.video.videoInfo.urlExpirationDate" },
          {
            path: "items.item.video.videoInfo.resolutions.poster.urlExpirationDate"
          },
          { path: "items.item.video.videoInfo.posters.urlExpirationDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "PATCH",
      methodFqn: "com.wixpress.portfolio.projectitems.ProjectItemsService.BulkUpdateProjectItems",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
        protoPath: "/api/v1/bulk/portfolio/items/update",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTFloatToSDKFloat,
          paths: [
            { path: "results.item.sortOrder" },
            { path: "results.item.image.focalPoint.x" },
            { path: "results.item.image.focalPoint.y" },
            { path: "results.item.image.unsharpMasking.amount" },
            { path: "results.item.image.unsharpMasking.radius" },
            { path: "results.item.image.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "results.item.createdDate" },
            { path: "results.item.updatedDate" },
            { path: "results.item.image.imageInfo.urlExpirationDate" },
            { path: "results.item.video.videoInfo.urlExpirationDate" },
            {
              path: "results.item.video.videoInfo.resolutions.poster.urlExpirationDate"
            },
            {
              path: "results.item.video.videoInfo.posters.urlExpirationDate"
            }
          ]
        }
      ])
    };
    return metadata;
  }
  return __bulkUpdateProjectItems;
}
function deleteProjectItem(payload) {
  function __deleteProjectItem({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "DELETE",
      methodFqn: "com.wixpress.portfolio.projectitems.ProjectItemsService.DeleteProjectItem",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
        protoPath: "/api/v1/portfolio/items/{itemId}",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload)
    };
    return metadata;
  }
  return __deleteProjectItem;
}
function bulkDeleteProjectItems(payload) {
  function __bulkDeleteProjectItems({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "DELETE",
      methodFqn: "com.wixpress.portfolio.projectitems.ProjectItemsService.BulkDeleteProjectItems",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
        protoPath: "/api/v1/bulk/portfolio/items/delete",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload)
    };
    return metadata;
  }
  return __bulkDeleteProjectItems;
}
function duplicateProjectItems(payload) {
  function __duplicateProjectItems({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "POST",
      methodFqn: "com.wixpress.portfolio.projectitems.ProjectItemsService.DuplicateProjectItems",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
        protoPath: "/api/v1/items/duplicate",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __duplicateProjectItems;
}
function generateTokenForProjectItems(payload) {
  function __generateTokenForProjectItems({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "POST",
      methodFqn: "com.wixpress.portfolio.portfolioapp.MediaService.GenerateTokenForProjectItems",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioPortfolioappMediaServiceUrl({
        protoPath: "/api/v1/portfolio/project/items/media",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __generateTokenForProjectItems;
}

// src/portfolio-project-items-v1-project-item-project-items.universal.ts
import { transformSDKImageToRESTImage } from "@wix/sdk-runtime/transformations/image";
import { transformRESTImageToSDKImage } from "@wix/sdk-runtime/transformations/image";
import { transformSDKVideoV2ToRESTVideoV2 } from "@wix/sdk-runtime/transformations/video-v2";
import { transformRESTVideoV2ToSDKVideoV2 } from "@wix/sdk-runtime/transformations/video-v2";
import { transformPaths as transformPaths2 } from "@wix/sdk-runtime/transformations/transform-paths";
var Type = /* @__PURE__ */ ((Type2) => {
  Type2["UNDEFINED"] = "UNDEFINED";
  Type2["IMAGE"] = "IMAGE";
  Type2["VIDEO"] = "VIDEO";
  return Type2;
})(Type || {});
var ImageType = /* @__PURE__ */ ((ImageType2) => {
  ImageType2["UNDEFINED"] = "UNDEFINED";
  ImageType2["WIX_MEDIA"] = "WIX_MEDIA";
  ImageType2["EXTERNAL"] = "EXTERNAL";
  return ImageType2;
})(ImageType || {});
var SortOrder = /* @__PURE__ */ ((SortOrder2) => {
  SortOrder2["ASC"] = "ASC";
  SortOrder2["DESC"] = "DESC";
  return SortOrder2;
})(SortOrder || {});
var WebhookIdentityType = /* @__PURE__ */ ((WebhookIdentityType2) => {
  WebhookIdentityType2["UNKNOWN"] = "UNKNOWN";
  WebhookIdentityType2["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
  WebhookIdentityType2["MEMBER"] = "MEMBER";
  WebhookIdentityType2["WIX_USER"] = "WIX_USER";
  WebhookIdentityType2["APP"] = "APP";
  return WebhookIdentityType2;
})(WebhookIdentityType || {});
async function createProjectItem2(item) {
  const { httpClient, sideEffects } = arguments[1];
  const payload = transformPaths2(
    renameKeysFromSDKRequestToRESTRequest({ item }),
    [
      {
        transformFn: transformSDKImageToRESTImage,
        paths: [{ path: "item.image.imageInfo" }]
      },
      {
        transformFn: transformSDKVideoV2ToRESTVideoV2,
        paths: [{ path: "item.video.videoInfo" }]
      }
    ]
  );
  const reqOpts = createProjectItem(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return renameKeysFromRESTResponseToSDKResponse(
      transformPaths2(result.data, [
        {
          transformFn: transformRESTImageToSDKImage,
          paths: [{ path: "item.image.imageInfo" }]
        },
        {
          transformFn: transformRESTVideoV2ToSDKVideoV2,
          paths: [{ path: "item.video.videoInfo" }]
        }
      ])
    )?.item;
  } catch (err) {
    const transformedError = sdkTransformError(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { item: "$[0]" },
        singleArgumentUnchanged: false
      },
      ["item"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function bulkCreateProjectItems2(options) {
  const { httpClient, sideEffects } = arguments[1];
  const payload = transformPaths2(
    renameKeysFromSDKRequestToRESTRequest({
      items: options?.items,
      returnFullEntity: options?.returnFullEntity
    }),
    [
      {
        transformFn: transformSDKImageToRESTImage,
        paths: [{ path: "items.image.imageInfo" }]
      },
      {
        transformFn: transformSDKVideoV2ToRESTVideoV2,
        paths: [{ path: "items.video.videoInfo" }]
      }
    ]
  );
  const reqOpts = bulkCreateProjectItems(
    payload
  );
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return renameKeysFromRESTResponseToSDKResponse(
      transformPaths2(result.data, [
        {
          transformFn: transformRESTImageToSDKImage,
          paths: [{ path: "results.item.image.imageInfo" }]
        },
        {
          transformFn: transformRESTVideoV2ToSDKVideoV2,
          paths: [{ path: "results.item.video.videoInfo" }]
        }
      ])
    );
  } catch (err) {
    const transformedError = sdkTransformError(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {
          items: "$[0].items",
          returnFullEntity: "$[0].returnFullEntity"
        },
        singleArgumentUnchanged: false
      },
      ["options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function getProjectItem2(itemId) {
  const { httpClient, sideEffects } = arguments[1];
  const payload = renameKeysFromSDKRequestToRESTRequest({ itemId });
  const reqOpts = getProjectItem(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return renameKeysFromRESTResponseToSDKResponse(
      transformPaths2(result.data, [
        {
          transformFn: transformRESTImageToSDKImage,
          paths: [{ path: "item.image.imageInfo" }]
        },
        {
          transformFn: transformRESTVideoV2ToSDKVideoV2,
          paths: [{ path: "item.video.videoInfo" }]
        }
      ])
    )?.item;
  } catch (err) {
    const transformedError = sdkTransformError(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { itemId: "$[0]" },
        singleArgumentUnchanged: false
      },
      ["itemId"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function listProjectItems2(projectId, options) {
  const { httpClient, sideEffects } = arguments[2];
  const payload = renameKeysFromSDKRequestToRESTRequest({
    projectId,
    paging: options?.paging
  });
  const reqOpts = listProjectItems(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return renameKeysFromRESTResponseToSDKResponse(
      transformPaths2(result.data, [
        {
          transformFn: transformRESTImageToSDKImage,
          paths: [{ path: "items.image.imageInfo" }]
        },
        {
          transformFn: transformRESTVideoV2ToSDKVideoV2,
          paths: [{ path: "items.video.videoInfo" }]
        }
      ])
    );
  } catch (err) {
    const transformedError = sdkTransformError(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { projectId: "$[0]", paging: "$[1].paging" },
        singleArgumentUnchanged: false
      },
      ["projectId", "options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function updateProjectItem2(_id, item) {
  const { httpClient, sideEffects } = arguments[2];
  const payload = transformPaths2(
    renameKeysFromSDKRequestToRESTRequest({ item: { ...item, id: _id } }),
    [
      {
        transformFn: transformSDKImageToRESTImage,
        paths: [{ path: "item.image.imageInfo" }]
      },
      {
        transformFn: transformSDKVideoV2ToRESTVideoV2,
        paths: [{ path: "item.video.videoInfo" }]
      }
    ]
  );
  const reqOpts = updateProjectItem(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return renameKeysFromRESTResponseToSDKResponse(
      transformPaths2(result.data, [
        {
          transformFn: transformRESTImageToSDKImage,
          paths: [{ path: "item.image.imageInfo" }]
        },
        {
          transformFn: transformRESTVideoV2ToSDKVideoV2,
          paths: [{ path: "item.video.videoInfo" }]
        }
      ])
    )?.item;
  } catch (err) {
    const transformedError = sdkTransformError(
      err,
      {
        spreadPathsToArguments: { item: "$[1]" },
        explicitPathsToArguments: { "item.id": "$[0]" },
        singleArgumentUnchanged: false
      },
      ["_id", "item"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function bulkUpdateProjectItems2(options) {
  const { httpClient, sideEffects } = arguments[1];
  const payload = transformPaths2(
    renameKeysFromSDKRequestToRESTRequest({
      items: options?.items,
      returnFullEntity: options?.returnFullEntity
    }),
    [
      {
        transformFn: transformSDKImageToRESTImage,
        paths: [{ path: "items.item.image.imageInfo" }]
      },
      {
        transformFn: transformSDKVideoV2ToRESTVideoV2,
        paths: [{ path: "items.item.video.videoInfo" }]
      }
    ]
  );
  const reqOpts = bulkUpdateProjectItems(
    payload
  );
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return renameKeysFromRESTResponseToSDKResponse(
      transformPaths2(result.data, [
        {
          transformFn: transformRESTImageToSDKImage,
          paths: [{ path: "results.item.image.imageInfo" }]
        },
        {
          transformFn: transformRESTVideoV2ToSDKVideoV2,
          paths: [{ path: "results.item.video.videoInfo" }]
        }
      ])
    );
  } catch (err) {
    const transformedError = sdkTransformError(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {
          items: "$[0].items",
          returnFullEntity: "$[0].returnFullEntity"
        },
        singleArgumentUnchanged: false
      },
      ["options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function deleteProjectItem2(itemId) {
  const { httpClient, sideEffects } = arguments[1];
  const payload = renameKeysFromSDKRequestToRESTRequest({ itemId });
  const reqOpts = deleteProjectItem(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return renameKeysFromRESTResponseToSDKResponse(result.data);
  } catch (err) {
    const transformedError = sdkTransformError(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { itemId: "$[0]" },
        singleArgumentUnchanged: false
      },
      ["itemId"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function bulkDeleteProjectItems2(options) {
  const { httpClient, sideEffects } = arguments[1];
  const payload = renameKeysFromSDKRequestToRESTRequest({
    itemIds: options?.itemIds
  });
  const reqOpts = bulkDeleteProjectItems(
    payload
  );
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return renameKeysFromRESTResponseToSDKResponse(result.data);
  } catch (err) {
    const transformedError = sdkTransformError(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { itemIds: "$[0].itemIds" },
        singleArgumentUnchanged: false
      },
      ["options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function duplicateProjectItems2(originProjectId, options) {
  const { httpClient, sideEffects } = arguments[2];
  const payload = renameKeysFromSDKRequestToRESTRequest({
    originProjectId,
    targetProjectId: options?.targetProjectId
  });
  const reqOpts = duplicateProjectItems(
    payload
  );
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return renameKeysFromRESTResponseToSDKResponse(result.data);
  } catch (err) {
    const transformedError = sdkTransformError(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {
          originProjectId: "$[0]",
          targetProjectId: "$[1].targetProjectId"
        },
        singleArgumentUnchanged: false
      },
      ["originProjectId", "options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function generateTokenForProjectItems2(mediaIds) {
  const { httpClient, sideEffects } = arguments[1];
  const payload = renameKeysFromSDKRequestToRESTRequest({ mediaIds });
  const reqOpts = generateTokenForProjectItems(
    payload
  );
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return renameKeysFromRESTResponseToSDKResponse(result.data);
  } catch (err) {
    const transformedError = sdkTransformError(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { mediaIds: "$[0]" },
        singleArgumentUnchanged: false
      },
      ["mediaIds"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}

// src/portfolio-project-items-v1-project-item-project-items.public.ts
function createProjectItem3(httpClient) {
  return (item) => createProjectItem2(
    item,
    // @ts-ignore
    { httpClient }
  );
}
function bulkCreateProjectItems3(httpClient) {
  return (options) => bulkCreateProjectItems2(
    options,
    // @ts-ignore
    { httpClient }
  );
}
function getProjectItem3(httpClient) {
  return (itemId) => getProjectItem2(
    itemId,
    // @ts-ignore
    { httpClient }
  );
}
function listProjectItems3(httpClient) {
  return (projectId, options) => listProjectItems2(
    projectId,
    options,
    // @ts-ignore
    { httpClient }
  );
}
function updateProjectItem3(httpClient) {
  return (_id, item) => updateProjectItem2(
    _id,
    item,
    // @ts-ignore
    { httpClient }
  );
}
function bulkUpdateProjectItems3(httpClient) {
  return (options) => bulkUpdateProjectItems2(
    options,
    // @ts-ignore
    { httpClient }
  );
}
function deleteProjectItem3(httpClient) {
  return (itemId) => deleteProjectItem2(
    itemId,
    // @ts-ignore
    { httpClient }
  );
}
function bulkDeleteProjectItems3(httpClient) {
  return (options) => bulkDeleteProjectItems2(
    options,
    // @ts-ignore
    { httpClient }
  );
}
function duplicateProjectItems3(httpClient) {
  return (originProjectId, options) => duplicateProjectItems2(
    originProjectId,
    options,
    // @ts-ignore
    { httpClient }
  );
}
function generateTokenForProjectItems3(httpClient) {
  return (mediaIds) => generateTokenForProjectItems2(
    mediaIds,
    // @ts-ignore
    { httpClient }
  );
}
var onProjectItemCreated = EventDefinition(
  "wix.portfolio.project_items.v1.project_item_created",
  true,
  (event) => renameKeysFromRESTResponseToSDKResponse2(
    transformPaths3(event, [
      {
        transformFn: transformRESTFloatToSDKFloat2,
        paths: [
          { path: "entity.sortOrder" },
          { path: "entity.image.focalPoint.x" },
          { path: "entity.image.focalPoint.y" },
          { path: "entity.image.unsharpMasking.amount" },
          { path: "entity.image.unsharpMasking.radius" },
          { path: "entity.image.unsharpMasking.threshold" }
        ]
      },
      {
        transformFn: transformRESTTimestampToSDKTimestamp2,
        paths: [
          { path: "entity.createdDate" },
          { path: "entity.updatedDate" },
          { path: "metadata.eventTime" }
        ]
      },
      {
        transformFn: transformRESTImageToSDKImage2,
        paths: [{ path: "entity.image.imageInfo" }]
      },
      {
        transformFn: transformRESTVideoV2ToSDKVideoV22,
        paths: [{ path: "entity.video.videoInfo" }]
      }
    ])
  )
)();
var onProjectItemDeleted = EventDefinition(
  "wix.portfolio.project_items.v1.project_item_deleted",
  true,
  (event) => renameKeysFromRESTResponseToSDKResponse2(
    transformPaths3(event, [
      {
        transformFn: transformRESTFloatToSDKFloat2,
        paths: [
          { path: "undefined.sortOrder" },
          { path: "undefined.image.focalPoint.x" },
          { path: "undefined.image.focalPoint.y" },
          { path: "undefined.image.unsharpMasking.amount" },
          { path: "undefined.image.unsharpMasking.radius" },
          { path: "undefined.image.unsharpMasking.threshold" }
        ]
      },
      {
        transformFn: transformRESTTimestampToSDKTimestamp2,
        paths: [
          { path: "undefined.createdDate" },
          { path: "undefined.updatedDate" },
          { path: "metadata.eventTime" }
        ]
      },
      {
        transformFn: transformRESTImageToSDKImage2,
        paths: [{ path: "undefined.image.imageInfo" }]
      },
      {
        transformFn: transformRESTVideoV2ToSDKVideoV22,
        paths: [{ path: "undefined.video.videoInfo" }]
      }
    ])
  )
)();
var onProjectItemUpdated = EventDefinition(
  "wix.portfolio.project_items.v1.project_item_updated",
  true,
  (event) => renameKeysFromRESTResponseToSDKResponse2(
    transformPaths3(event, [
      {
        transformFn: transformRESTFloatToSDKFloat2,
        paths: [
          { path: "entity.sortOrder" },
          { path: "entity.image.focalPoint.x" },
          { path: "entity.image.focalPoint.y" },
          { path: "entity.image.unsharpMasking.amount" },
          { path: "entity.image.unsharpMasking.radius" },
          { path: "entity.image.unsharpMasking.threshold" }
        ]
      },
      {
        transformFn: transformRESTTimestampToSDKTimestamp2,
        paths: [
          { path: "entity.createdDate" },
          { path: "entity.updatedDate" },
          { path: "metadata.eventTime" }
        ]
      },
      {
        transformFn: transformRESTImageToSDKImage2,
        paths: [{ path: "entity.image.imageInfo" }]
      },
      {
        transformFn: transformRESTVideoV2ToSDKVideoV22,
        paths: [{ path: "entity.video.videoInfo" }]
      }
    ])
  )
)();

// src/portfolio-project-items-v1-project-item-project-items.context.ts
import { createRESTModule } from "@wix/sdk-runtime/rest-modules";
import { createEventModule } from "@wix/sdk-runtime/event-definition-modules";
var createProjectItem4 = /* @__PURE__ */ createRESTModule(createProjectItem3);
var bulkCreateProjectItems4 = /* @__PURE__ */ createRESTModule(bulkCreateProjectItems3);
var getProjectItem4 = /* @__PURE__ */ createRESTModule(getProjectItem3);
var listProjectItems4 = /* @__PURE__ */ createRESTModule(listProjectItems3);
var updateProjectItem4 = /* @__PURE__ */ createRESTModule(updateProjectItem3);
var bulkUpdateProjectItems4 = /* @__PURE__ */ createRESTModule(bulkUpdateProjectItems3);
var deleteProjectItem4 = /* @__PURE__ */ createRESTModule(deleteProjectItem3);
var bulkDeleteProjectItems4 = /* @__PURE__ */ createRESTModule(bulkDeleteProjectItems3);
var duplicateProjectItems4 = /* @__PURE__ */ createRESTModule(duplicateProjectItems3);
var generateTokenForProjectItems4 = /* @__PURE__ */ createRESTModule(generateTokenForProjectItems3);
var onProjectItemCreated2 = createEventModule(onProjectItemCreated);
var onProjectItemDeleted2 = createEventModule(onProjectItemDeleted);
var onProjectItemUpdated2 = createEventModule(onProjectItemUpdated);
export {
  ImageType,
  SortOrder,
  Type,
  WebhookIdentityType,
  bulkCreateProjectItems4 as bulkCreateProjectItems,
  bulkDeleteProjectItems4 as bulkDeleteProjectItems,
  bulkUpdateProjectItems4 as bulkUpdateProjectItems,
  createProjectItem4 as createProjectItem,
  deleteProjectItem4 as deleteProjectItem,
  duplicateProjectItems4 as duplicateProjectItems,
  generateTokenForProjectItems4 as generateTokenForProjectItems,
  getProjectItem4 as getProjectItem,
  listProjectItems4 as listProjectItems,
  onProjectItemCreated2 as onProjectItemCreated,
  onProjectItemDeleted2 as onProjectItemDeleted,
  onProjectItemUpdated2 as onProjectItemUpdated,
  updateProjectItem4 as updateProjectItem
};
//# sourceMappingURL=index.mjs.map