// src/portfolio-project-items-v1-project-item-project-items.http.ts
import { toURLSearchParams } from "@wix/sdk-runtime/rest-modules";
import { transformSDKFloatToRESTFloat } from "@wix/sdk-runtime/transformations/float";
import { transformRESTFloatToSDKFloat } from "@wix/sdk-runtime/transformations/float";
import { transformSDKTimestampToRESTTimestamp } from "@wix/sdk-runtime/transformations/timestamp";
import { transformRESTTimestampToSDKTimestamp } from "@wix/sdk-runtime/transformations/timestamp";
import { transformSDKFieldMaskToRESTFieldMask } from "@wix/sdk-runtime/transformations/field-mask";
import { transformPaths } from "@wix/sdk-runtime/transformations/transform-paths";
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveComWixpressPortfolioPortfolioappMediaServiceUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/portfolio-app-service",
        destPath: "/api"
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/portfolio-app-service",
        destPath: "/api"
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/portfolio-app-service",
        destPath: "/api"
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/portfolio-app-service",
        destPath: "/api"
      }
    ],
    _: [
      {
        srcPath: "/_api/portfolio-app-service",
        destPath: "/api"
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/_api/portfolio-app-service",
        destPath: "/api"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/portfolio/v1/settings",
        destPath: "/api/v1/portfolio/settings"
      },
      {
        srcPath: "/portfolio/portfolio-app/api/v1/portfolio/settings",
        destPath: "/api/v1/portfolio/settings"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/portfolio/project/items/media",
        destPath: "/api/v1/portfolio/project/items/media"
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/portfolio/portfolio-app/api/v1/portfolio/settings",
        destPath: "/api/v1/portfolio/settings"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/portfolio/project/items/media",
        destPath: "/api/v1/portfolio/project/items/media"
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
function resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/project-items-service",
        destPath: "/api"
      }
    ],
    _: [
      {
        srcPath: "/_api/project-items-service",
        destPath: "/api"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/bulk/portfolio/items/create",
        destPath: "/api/v1/bulk/portfolio/items/create"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/items/duplicate",
        destPath: "/api/v1/items/duplicate"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/bulk/portfolio/items/delete",
        destPath: "/api/v1/bulk/portfolio/items/delete"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/bulk/portfolio/items/update",
        destPath: "/api/v1/bulk/portfolio/items/update"
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/project-items-service",
        destPath: "/api"
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/project-items-service",
        destPath: "/api"
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/project-items-service",
        destPath: "/api"
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_api/project-items-service",
        destPath: "/api"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/bulk/portfolio/items/create",
        destPath: "/api/v1/bulk/portfolio/items/create"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/items/duplicate",
        destPath: "/api/v1/items/duplicate"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/bulk/portfolio/items/delete",
        destPath: "/api/v1/bulk/portfolio/items/delete"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/bulk/portfolio/items/update",
        destPath: "/api/v1/bulk/portfolio/items/update"
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/project-items-service",
        destPath: "/api"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/portfolio/v1/projectItems",
        destPath: "/api/v1/portfolio/projects"
      },
      {
        srcPath: "/portfolio/v1/items",
        destPath: "/api/v1/portfolio/items"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/bulk/portfolio/items/create",
        destPath: "/api/v1/bulk/portfolio/items/create"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/items/duplicate",
        destPath: "/api/v1/items/duplicate"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/bulk/portfolio/items/delete",
        destPath: "/api/v1/bulk/portfolio/items/delete"
      },
      {
        srcPath: "/portfolio/project-items/api/v1/bulk/portfolio/items/update",
        destPath: "/api/v1/bulk/portfolio/items/update"
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/project-items-service",
        destPath: ""
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_portfolio_project-items";
function createProjectItem(payload) {
  function __createProjectItem({ host }) {
    const serializedData = transformPaths(payload, [
      {
        transformFn: transformSDKFloatToRESTFloat,
        paths: [
          { path: "item.sortOrder" },
          { path: "item.image.focalPoint.x" },
          { path: "item.image.focalPoint.y" },
          { path: "item.image.unsharpMasking.amount" },
          { path: "item.image.unsharpMasking.radius" },
          { path: "item.image.unsharpMasking.threshold" }
        ]
      },
      {
        transformFn: transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "item.createdDate" },
          { path: "item.updatedDate" },
          { path: "item.image.imageInfo.urlExpirationDate" },
          { path: "item.video.videoInfo.urlExpirationDate" },
          { path: "item.video.videoInfo.resolutions.poster.urlExpirationDate" },
          { path: "item.video.videoInfo.posters.urlExpirationDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "POST",
      methodFqn: "com.wixpress.portfolio.projectitems.ProjectItemsService.CreateProjectItem",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
        protoPath: "/api/v1/portfolio/items",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTFloatToSDKFloat,
          paths: [
            { path: "item.sortOrder" },
            { path: "item.image.focalPoint.x" },
            { path: "item.image.focalPoint.y" },
            { path: "item.image.unsharpMasking.amount" },
            { path: "item.image.unsharpMasking.radius" },
            { path: "item.image.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "item.createdDate" },
            { path: "item.updatedDate" },
            { path: "item.image.imageInfo.urlExpirationDate" },
            { path: "item.video.videoInfo.urlExpirationDate" },
            {
              path: "item.video.videoInfo.resolutions.poster.urlExpirationDate"
            },
            { path: "item.video.videoInfo.posters.urlExpirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __createProjectItem;
}
function bulkCreateProjectItems(payload) {
  function __bulkCreateProjectItems({ host }) {
    const serializedData = transformPaths(payload, [
      {
        transformFn: transformSDKFloatToRESTFloat,
        paths: [
          { path: "items.sortOrder" },
          { path: "items.image.focalPoint.x" },
          { path: "items.image.focalPoint.y" },
          { path: "items.image.unsharpMasking.amount" },
          { path: "items.image.unsharpMasking.radius" },
          { path: "items.image.unsharpMasking.threshold" }
        ]
      },
      {
        transformFn: transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "items.createdDate" },
          { path: "items.updatedDate" },
          { path: "items.image.imageInfo.urlExpirationDate" },
          { path: "items.video.videoInfo.urlExpirationDate" },
          {
            path: "items.video.videoInfo.resolutions.poster.urlExpirationDate"
          },
          { path: "items.video.videoInfo.posters.urlExpirationDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "POST",
      methodFqn: "com.wixpress.portfolio.projectitems.ProjectItemsService.BulkCreateProjectItems",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
        protoPath: "/api/v1/bulk/portfolio/items/create",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTFloatToSDKFloat,
          paths: [
            { path: "results.item.sortOrder" },
            { path: "results.item.image.focalPoint.x" },
            { path: "results.item.image.focalPoint.y" },
            { path: "results.item.image.unsharpMasking.amount" },
            { path: "results.item.image.unsharpMasking.radius" },
            { path: "results.item.image.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "results.item.createdDate" },
            { path: "results.item.updatedDate" },
            { path: "results.item.image.imageInfo.urlExpirationDate" },
            { path: "results.item.video.videoInfo.urlExpirationDate" },
            {
              path: "results.item.video.videoInfo.resolutions.poster.urlExpirationDate"
            },
            {
              path: "results.item.video.videoInfo.posters.urlExpirationDate"
            }
          ]
        }
      ])
    };
    return metadata;
  }
  return __bulkCreateProjectItems;
}
function getProjectItem(payload) {
  function __getProjectItem({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "GET",
      methodFqn: "com.wixpress.portfolio.projectitems.ProjectItemsService.GetProjectItem",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
        protoPath: "/api/v1/portfolio/items/{itemId}",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload),
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTFloatToSDKFloat,
          paths: [
            { path: "item.sortOrder" },
            { path: "item.image.focalPoint.x" },
            { path: "item.image.focalPoint.y" },
            { path: "item.image.unsharpMasking.amount" },
            { path: "item.image.unsharpMasking.radius" },
            { path: "item.image.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "item.createdDate" },
            { path: "item.updatedDate" },
            { path: "item.image.imageInfo.urlExpirationDate" },
            { path: "item.video.videoInfo.urlExpirationDate" },
            {
              path: "item.video.videoInfo.resolutions.poster.urlExpirationDate"
            },
            { path: "item.video.videoInfo.posters.urlExpirationDate" }
          ]
        }
      ]),
      fallback: [
        {
          method: "GET",
          url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
            protoPath: "/api/v1/portfolio/items/{itemId}",
            data: payload,
            host
          }),
          params: toURLSearchParams(payload)
        }
      ]
    };
    return metadata;
  }
  return __getProjectItem;
}
function listProjectItems(payload) {
  function __listProjectItems({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "GET",
      methodFqn: "com.wixpress.portfolio.projectitems.ProjectItemsService.ListProjectItems",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
        protoPath: "/api/v1/portfolio/projects/{projectId}/items",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload),
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTFloatToSDKFloat,
          paths: [
            { path: "items.sortOrder" },
            { path: "items.image.focalPoint.x" },
            { path: "items.image.focalPoint.y" },
            { path: "items.image.unsharpMasking.amount" },
            { path: "items.image.unsharpMasking.radius" },
            { path: "items.image.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "items.createdDate" },
            { path: "items.updatedDate" },
            { path: "items.image.imageInfo.urlExpirationDate" },
            { path: "items.video.videoInfo.urlExpirationDate" },
            {
              path: "items.video.videoInfo.resolutions.poster.urlExpirationDate"
            },
            { path: "items.video.videoInfo.posters.urlExpirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __listProjectItems;
}
function updateProjectItem(payload) {
  function __updateProjectItem({ host }) {
    const serializedData = transformPaths(payload, [
      {
        transformFn: transformSDKFieldMaskToRESTFieldMask,
        paths: [{ path: "mask" }]
      },
      {
        transformFn: transformSDKFloatToRESTFloat,
        paths: [
          { path: "item.sortOrder" },
          { path: "item.image.focalPoint.x" },
          { path: "item.image.focalPoint.y" },
          { path: "item.image.unsharpMasking.amount" },
          { path: "item.image.unsharpMasking.radius" },
          { path: "item.image.unsharpMasking.threshold" }
        ]
      },
      {
        transformFn: transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "item.createdDate" },
          { path: "item.updatedDate" },
          { path: "item.image.imageInfo.urlExpirationDate" },
          { path: "item.video.videoInfo.urlExpirationDate" },
          { path: "item.video.videoInfo.resolutions.poster.urlExpirationDate" },
          { path: "item.video.videoInfo.posters.urlExpirationDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "PATCH",
      methodFqn: "com.wixpress.portfolio.projectitems.ProjectItemsService.UpdateProjectItem",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
        protoPath: "/api/v1/portfolio/items/{item.id}",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTFloatToSDKFloat,
          paths: [
            { path: "item.sortOrder" },
            { path: "item.image.focalPoint.x" },
            { path: "item.image.focalPoint.y" },
            { path: "item.image.unsharpMasking.amount" },
            { path: "item.image.unsharpMasking.radius" },
            { path: "item.image.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "item.createdDate" },
            { path: "item.updatedDate" },
            { path: "item.image.imageInfo.urlExpirationDate" },
            { path: "item.video.videoInfo.urlExpirationDate" },
            {
              path: "item.video.videoInfo.resolutions.poster.urlExpirationDate"
            },
            { path: "item.video.videoInfo.posters.urlExpirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __updateProjectItem;
}
function bulkUpdateProjectItems(payload) {
  function __bulkUpdateProjectItems({ host }) {
    const serializedData = transformPaths(payload, [
      {
        transformFn: transformSDKFieldMaskToRESTFieldMask,
        paths: [{ path: "items.fieldMask" }]
      },
      {
        transformFn: transformSDKFloatToRESTFloat,
        paths: [
          { path: "items.item.sortOrder" },
          { path: "items.item.image.focalPoint.x" },
          { path: "items.item.image.focalPoint.y" },
          { path: "items.item.image.unsharpMasking.amount" },
          { path: "items.item.image.unsharpMasking.radius" },
          { path: "items.item.image.unsharpMasking.threshold" }
        ]
      },
      {
        transformFn: transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "items.item.createdDate" },
          { path: "items.item.updatedDate" },
          { path: "items.item.image.imageInfo.urlExpirationDate" },
          { path: "items.item.video.videoInfo.urlExpirationDate" },
          {
            path: "items.item.video.videoInfo.resolutions.poster.urlExpirationDate"
          },
          { path: "items.item.video.videoInfo.posters.urlExpirationDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "PATCH",
      methodFqn: "com.wixpress.portfolio.projectitems.ProjectItemsService.BulkUpdateProjectItems",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
        protoPath: "/api/v1/bulk/portfolio/items/update",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTFloatToSDKFloat,
          paths: [
            { path: "results.item.sortOrder" },
            { path: "results.item.image.focalPoint.x" },
            { path: "results.item.image.focalPoint.y" },
            { path: "results.item.image.unsharpMasking.amount" },
            { path: "results.item.image.unsharpMasking.radius" },
            { path: "results.item.image.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "results.item.createdDate" },
            { path: "results.item.updatedDate" },
            { path: "results.item.image.imageInfo.urlExpirationDate" },
            { path: "results.item.video.videoInfo.urlExpirationDate" },
            {
              path: "results.item.video.videoInfo.resolutions.poster.urlExpirationDate"
            },
            {
              path: "results.item.video.videoInfo.posters.urlExpirationDate"
            }
          ]
        }
      ])
    };
    return metadata;
  }
  return __bulkUpdateProjectItems;
}
function deleteProjectItem(payload) {
  function __deleteProjectItem({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "DELETE",
      methodFqn: "com.wixpress.portfolio.projectitems.ProjectItemsService.DeleteProjectItem",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
        protoPath: "/api/v1/portfolio/items/{itemId}",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload)
    };
    return metadata;
  }
  return __deleteProjectItem;
}
function bulkDeleteProjectItems(payload) {
  function __bulkDeleteProjectItems({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "DELETE",
      methodFqn: "com.wixpress.portfolio.projectitems.ProjectItemsService.BulkDeleteProjectItems",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
        protoPath: "/api/v1/bulk/portfolio/items/delete",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload)
    };
    return metadata;
  }
  return __bulkDeleteProjectItems;
}
function duplicateProjectItems(payload) {
  function __duplicateProjectItems({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "POST",
      methodFqn: "com.wixpress.portfolio.projectitems.ProjectItemsService.DuplicateProjectItems",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectitemsProjectItemsServiceUrl({
        protoPath: "/api/v1/items/duplicate",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __duplicateProjectItems;
}
function generateTokenForProjectItems(payload) {
  function __generateTokenForProjectItems({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.project_items.v1.project_item",
      method: "POST",
      methodFqn: "com.wixpress.portfolio.portfolioapp.MediaService.GenerateTokenForProjectItems",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioPortfolioappMediaServiceUrl({
        protoPath: "/api/v1/portfolio/project/items/media",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __generateTokenForProjectItems;
}

// src/portfolio-project-items-v1-project-item-project-items.meta.ts
function createProjectItem2() {
  const payload = {};
  const getRequestOptions = createProjectItem(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/api/v1/portfolio/items",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function bulkCreateProjectItems2() {
  const payload = {};
  const getRequestOptions = bulkCreateProjectItems(
    payload
  );
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/api/v1/bulk/portfolio/items/create",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function getProjectItem2() {
  const payload = { itemId: ":itemId" };
  const getRequestOptions = getProjectItem(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/api/v1/portfolio/items/{itemId}",
    pathParams: { itemId: "itemId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function listProjectItems2() {
  const payload = { projectId: ":projectId" };
  const getRequestOptions = listProjectItems(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/api/v1/portfolio/projects/{projectId}/items",
    pathParams: { projectId: "projectId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function updateProjectItem2() {
  const payload = { item: { id: ":itemId" } };
  const getRequestOptions = updateProjectItem(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "PATCH",
    path: "/api/v1/portfolio/items/{item.id}",
    pathParams: { itemId: "itemId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function bulkUpdateProjectItems2() {
  const payload = {};
  const getRequestOptions = bulkUpdateProjectItems(
    payload
  );
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "PATCH",
    path: "/api/v1/bulk/portfolio/items/update",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function deleteProjectItem2() {
  const payload = { itemId: ":itemId" };
  const getRequestOptions = deleteProjectItem(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "DELETE",
    path: "/api/v1/portfolio/items/{itemId}",
    pathParams: { itemId: "itemId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function bulkDeleteProjectItems2() {
  const payload = {};
  const getRequestOptions = bulkDeleteProjectItems(
    payload
  );
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "DELETE",
    path: "/api/v1/bulk/portfolio/items/delete",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function duplicateProjectItems2() {
  const payload = {};
  const getRequestOptions = duplicateProjectItems(
    payload
  );
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/api/v1/items/duplicate",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function generateTokenForProjectItems2() {
  const payload = {};
  const getRequestOptions = generateTokenForProjectItems(
    payload
  );
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/api/v1/portfolio/project/items/media",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
export {
  bulkCreateProjectItems2 as bulkCreateProjectItems,
  bulkDeleteProjectItems2 as bulkDeleteProjectItems,
  bulkUpdateProjectItems2 as bulkUpdateProjectItems,
  createProjectItem2 as createProjectItem,
  deleteProjectItem2 as deleteProjectItem,
  duplicateProjectItems2 as duplicateProjectItems,
  generateTokenForProjectItems2 as generateTokenForProjectItems,
  getProjectItem2 as getProjectItem,
  listProjectItems2 as listProjectItems,
  updateProjectItem2 as updateProjectItem
};
//# sourceMappingURL=meta.mjs.map